import { defs_user_id } from "./defs_user_id";
import { defs_team } from "./defs_team";
import { defs_workspace_id } from "./defs_workspace_id";
import { defs_channel } from "./defs_channel";
import { defs_ts } from "./defs_ts";
import { defs_channel_name } from "./defs_channel_name";
import { defs_topic_purpose_creator } from "./defs_topic_purpose_creator";
import { defs_dm_id } from "./defs_dm_id";
import { defs_enterprise_id } from "./defs_enterprise_id";
import { objs_team } from "./objs_team";
import { objs_message } from "./objs_message";
export declare type objs_conversation = {
    created: number;
    creator: defs_user_id;
    id: defs_channel;
    is_archived: boolean;
    is_channel: boolean;
    is_general: boolean;
    is_group: boolean;
    is_im: boolean;
    is_mpim: boolean;
    is_org_shared: boolean;
    is_private: boolean;
    is_shared: boolean;
    name: string;
    name_normalized: string;
    purpose: {
        creator: defs_topic_purpose_creator;
        last_set: number;
        value: string;
    };
    topic: {
        creator: defs_topic_purpose_creator;
        last_set: number;
        value: string;
    };
    accepted_user?: defs_user_id;
    connected_team_ids?: Array<defs_workspace_id>;
    conversation_host_id?: defs_workspace_id;
    display_counts?: {
        display_counts: number;
        guest_counts: number;
    };
    enterprise_id?: defs_enterprise_id;
    has_pins?: boolean;
    internal_team_ids?: Array<defs_team>;
    is_ext_shared?: boolean;
    is_frozen?: boolean;
    is_global_shared?: boolean;
    is_member?: boolean;
    is_moved?: number;
    is_non_threadable?: boolean;
    is_open?: boolean;
    is_org_default?: boolean;
    is_org_mandatory?: boolean;
    is_pending_ext_shared?: boolean;
    is_read_only?: boolean;
    is_starred?: boolean;
    is_thread_only?: boolean;
    last_read?: defs_ts;
    latest?: objs_message | null;
    members?: Array<defs_user_id>;
    num_members?: number;
    parent_conversation?: defs_channel | null;
    pending_connected_team_ids?: Array<defs_team>;
    pending_shared?: Array<defs_team>;
    pin_count?: number;
    previous_names?: Array<defs_channel_name>;
    priority?: number;
    shared_team_ids?: Array<defs_team>;
    shares?: Array<{
        is_active: boolean;
        team: objs_team;
        user: defs_user_id;
        accepted_user?: defs_user_id;
    }>;
    timezone_count?: number;
    unlinked?: number;
    unread_count?: number;
    unread_count_display?: number;
    use_case?: string;
    user?: defs_user_id;
    version?: number;
} & {
    created: number;
    creator: defs_user_id;
    id: defs_channel;
    is_archived: boolean;
    is_channel: boolean;
    is_general: boolean;
    is_group: boolean;
    is_im: boolean;
    is_mpim: boolean;
    is_org_shared: boolean;
    is_private: boolean;
    is_shared: boolean;
    name: string;
    name_normalized: string;
    purpose: {
        creator: defs_topic_purpose_creator;
        last_set: number;
        value: string;
    };
    topic: {
        creator: defs_topic_purpose_creator;
        last_set: number;
        value: string;
    };
    accepted_user?: defs_user_id;
    connected_team_ids?: Array<defs_team>;
    conversation_host_id?: defs_workspace_id;
    display_counts?: {
        display_counts: number;
        guest_counts: number;
    };
    internal_team_ids?: Array<defs_team>;
    is_ext_shared?: boolean;
    is_frozen?: boolean;
    is_member?: boolean;
    is_moved?: number;
    is_non_threadable?: boolean;
    is_open?: boolean;
    is_pending_ext_shared?: boolean;
    is_read_only?: boolean;
    is_starred?: boolean;
    is_thread_only?: boolean;
    last_read?: defs_ts;
    latest?: objs_message | null;
    members?: Array<defs_user_id>;
    num_members?: number;
    parent_conversation?: defs_channel | null;
    pending_connected_team_ids?: Array<defs_team>;
    pending_shared?: Array<defs_team>;
    pin_count?: number;
    previous_names?: Array<defs_channel_name>;
    priority?: number;
    shared_team_ids?: Array<defs_team>;
    shares?: Array<{
        is_active: boolean;
        team: objs_team;
        user: defs_user_id;
        accepted_user?: defs_user_id;
    }>;
    timezone_count?: number;
    unlinked?: number;
    unread_count?: number;
    unread_count_display?: number;
    user?: defs_user_id;
    version?: number;
} & {
    created: number;
    id: defs_dm_id;
    is_im: boolean;
    is_org_shared: boolean;
    priority: number;
    user: defs_user_id;
    has_pins?: boolean;
    is_archived?: boolean;
    is_ext_shared?: boolean;
    is_frozen?: boolean;
    is_open?: boolean;
    is_shared?: boolean;
    is_starred?: boolean;
    is_user_deleted?: boolean;
    last_read?: defs_ts;
    latest?: objs_message | null;
    parent_conversation?: defs_channel | null;
    pin_count?: number;
    shares?: Array<{
        date_create: number;
        id: defs_team;
        is_active: boolean;
        name: string;
        team: objs_team;
    }>;
    unread_count?: number;
    unread_count_display?: number;
    version?: number;
};
//# sourceMappingURL=objs_conversation.d.ts.map