import { Chat } from "../types/chat";
/**
 * Deletes a message.
 * Documentation: https://api.slack.com/methods/chat.delete
 * @param options Request options.
 */
export declare function deleteChatMessage<T = Chat.DeleteMessage.Response.OK>(options: Chat.DeleteMessage.Options.HandledApi): Promise<Chat.DeleteMessage.Response.OK>;
/**
 * Deletes a pending scheduled message from the queue.
 * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
 * @param options Request options.
 */
export declare function deleteChatScheduledMessage<T = Chat.DeleteScheduledMessage.Response.OK>(options: Chat.DeleteScheduledMessage.Options.HandledApi): Promise<Chat.DeleteScheduledMessage.Response.OK>;
/**
 * Retrieve a permalink URL for a specific extant message
 * Documentation: https://api.slack.com/methods/chat.getPermalink
 * @param options Request options.
 */
export declare function getChatPermalink<T = Chat.GetPermalink.Response.OK>(options: Chat.GetPermalink.Options.HandledApi): Promise<Chat.GetPermalink.Response.OK>;
/**
 * Share a me message into a channel.
 * Documentation: https://api.slack.com/methods/chat.meMessage
 * @param options Request options.
 */
export declare function postChatMeMessage<T = Chat.PostMeMessage.Response.OK>(options: Chat.PostMeMessage.Options.HandledApi): Promise<Chat.PostMeMessage.Response.OK>;
/**
 * Sends an ephemeral message to a user in a channel.
 * Documentation: https://api.slack.com/methods/chat.postEphemeral
 * @param options Request options.
 */
export declare function postChatEphemeralMessage<T = Chat.PostEphemeralMessage.Response.OK>(options: Chat.PostEphemeralMessage.Options.HandledApi): Promise<Chat.PostEphemeralMessage.Response.OK>;
/**
 * Sends a message to a channel.
 * Documentation: https://api.slack.com/methods/chat.postMessage
 * @param options Request options.
 */
export declare function postChatMessage<T = Chat.PostMessage.Response.OK>(options: Chat.PostMessage.Options.HandledApi): Promise<Chat.PostMessage.Response.OK>;
/**
 * Schedules a message to be sent to a channel.
 * Documentation: https://api.slack.com/methods/chat.scheduleMessage
 * @param options Request options.
 */
export declare function scheduleChatMessage<T = Chat.ScheduleMessage.Response.OK>(options: Chat.ScheduleMessage.Options.HandledApi): Promise<Chat.ScheduleMessage.Response.OK>;
/**
 * Provide custom unfurl behavior for user-posted URLs
 * Documentation: https://api.slack.com/methods/chat.unfurl
 * @param options Request options.
 */
export declare function unfurlChatMessage<T = Chat.UnfurlMessage.Response.OK>(options: Chat.UnfurlMessage.Options.HandledApi): Promise<Chat.UnfurlMessage.Response.OK>;
/**
 * Updates a message.
 * Documentation: https://api.slack.com/methods/chat.update
 * @param options Request options.
 */
export declare function updateChatMessage<T = Chat.UpdateMessage.Response.OK>(options: Chat.UpdateMessage.Options.HandledApi): Promise<Chat.UpdateMessage.Response.OK>;
//# sourceMappingURL=chat.d.ts.map