import { Dnd } from "../types/dnd";
/**
 * Ends the current user's Do Not Disturb session immediately.
 * Documentation: https://api.slack.com/methods/dnd.endDnd
 * @param options Request options.
 */
export declare function endDnd<T = Dnd.EndDnd.Response.OK>(options: Dnd.EndDnd.Options.HandledApi): Promise<Dnd.EndDnd.Response.OK>;
/**
 * Ends the current user's snooze mode immediately.
 * Documentation: https://api.slack.com/methods/dnd.endSnooze
 * @param options Request options.
 */
export declare function endDndSnooze<T = Dnd.EndSnooze.Response.OK>(options: Dnd.EndSnooze.Options.HandledApi): Promise<Dnd.EndSnooze.Response.OK>;
/**
 * Retrieves a user's current Do Not Disturb status.
 * Documentation: https://api.slack.com/methods/dnd.info
 * @param options Request options.
 */
export declare function getDndInfo<T = Dnd.GetInfo.Response.OK>(options: Dnd.GetInfo.Options.HandledApi): Promise<Dnd.GetInfo.Response.OK>;
/**
 * Turns on Do Not Disturb mode for the current user, or changes its duration.
 * Documentation: https://api.slack.com/methods/dnd.setSnooze
 * @param options Request options.
 */
export declare function setDndSnooze<T = Dnd.SetSnooze.Response.OK>(options: Dnd.SetSnooze.Options.HandledApi): Promise<Dnd.SetSnooze.Response.OK>;
/**
 * Retrieves the Do Not Disturb status for up to 50 users on a team.
 * Documentation: https://api.slack.com/methods/dnd.teamInfo
 * @param options Request options.
 */
export declare function getDndTeamInfo<T = Dnd.GetTeamInfo.Response.OK>(options: Dnd.GetTeamInfo.Options.HandledApi): Promise<Dnd.GetTeamInfo.Response.OK>;
//# sourceMappingURL=dnd.d.ts.map