import { File } from "../types/file";
/**
 * Deletes a file.
 * Documentation: https://api.slack.com/methods/files.delete
 * @param options Request options.
 */
export declare function deleteFile<T = File.DeleteFile.Response.OK>(options: File.DeleteFile.Options.HandledApi): Promise<File.DeleteFile.Response.OK>;
/**
 * Gets information about a file.
 * Documentation: https://api.slack.com/methods/files.info
 * @param options Request options.
 */
export declare function getFileInfo<T = File.GetInfo.Response.OK>(options: File.GetInfo.Options.HandledApi): Promise<File.GetInfo.Response.OK>;
/**
 * List for a team, in a channel, or from a user with applied filters.
 * Documentation: https://api.slack.com/methods/files.list
 * @param options Request options.
 */
export declare function getFiles<T = File.GetFiles.Response.OK>(options: File.GetFiles.Options.HandledApi): Promise<File.GetFiles.Response.OK>;
/**
 * Uploads or creates a file.
 * Documentation: https://api.slack.com/methods/files.upload
 * @param options Request options.
 */
export declare function uploadFile<T = File.UploadFile.Response.OK>(options: File.UploadFile.Options.HandledApi): Promise<File.UploadFile.Response.OK>;
//# sourceMappingURL=file.d.ts.map