import { revokeFilePublicUrl as revokeFilePublicUrlFn } from "../../raw-api/file/publicUrl";
import { executeRequest } from "../../handled-api/common";
import { createFilePublicUrl as createFilePublicUrlFn } from "../../raw-api/file/publicUrl";
/**
 * Revokes public/external sharing access for a file
 * Documentation: https://api.slack.com/methods/files.revokePublicURL
 * @param options Request options.
 */
export function revokeFilePublicUrl(options) {
    return executeRequest(() => revokeFilePublicUrlFn(options), options.errorStrategy);
}
/**
 * Enables a file for public/external sharing.
 * Documentation: https://api.slack.com/methods/files.sharedPublicURL
 * @param options Request options.
 */
export function createFilePublicUrl(options) {
    return executeRequest(() => createFilePublicUrlFn(options), options.errorStrategy);
}
