import { File } from "../../types/file";
/**
 * Adds a file from a remote service
 * Documentation: https://api.slack.com/methods/files.remote.add
 * @param options Request options.
 */
export declare function addRemoteFile<T = File.Remote.AddFile.Response.OK>(options: File.Remote.AddFile.Options.HandledApi): Promise<File.Remote.AddFile.Response.OK>;
/**
 * Retrieve information about a remote file added to Slack
 * Documentation: https://api.slack.com/methods/files.remote.info
 * @param options Request options.
 */
export declare function getRemoteFileInfo<T = File.Remote.GetInfo.Response.OK>(options: File.Remote.GetInfo.Options.HandledApi): Promise<File.Remote.GetInfo.Response.OK>;
/**
 * Retrieve information about a remote file added to Slack
 * Documentation: https://api.slack.com/methods/files.remote.list
 * @param options Request options.
 */
export declare function getRemoteFiles<T = File.Remote.GetFiles.Response.OK>(options: File.Remote.GetFiles.Options.HandledApi): Promise<File.Remote.GetFiles.Response.OK>;
/**
 * Remove a remote file.
 * Documentation: https://api.slack.com/methods/files.remote.remove
 * @param options Request options.
 */
export declare function removeRemoteFile<T = File.Remote.RemoveFile.Response.OK>(options: File.Remote.RemoveFile.Options.HandledApi): Promise<File.Remote.RemoveFile.Response.OK>;
/**
 * Share a remote file into a channel.
 * Documentation: https://api.slack.com/methods/files.remote.share
 * @param options Request options.
 */
export declare function shareRemoteFile<T = File.Remote.ShareFile.Response.OK>(options: File.Remote.ShareFile.Options.HandledApi): Promise<File.Remote.ShareFile.Response.OK>;
/**
 * Updates an existing remote file.
 * Documentation: https://api.slack.com/methods/files.remote.update
 * @param options Request options.
 */
export declare function updateRemoteFile<T = File.Remote.UpdateFile.Response.OK>(options: File.Remote.UpdateFile.Options.HandledApi): Promise<File.Remote.UpdateFile.Response.OK>;
//# sourceMappingURL=remote.d.ts.map