import { Pins } from "../types/pins";
/**
 * Un-pins an item from a channel.
 * Documentation: https://api.slack.com/methods/pins.remove
 * @param options Request options.
 */
export declare function removePin<T = Pins.RemovePin.Response.OK>(options: Pins.RemovePin.Options.HandledApi): Promise<Pins.RemovePin.Response.OK>;
/**
 * Lists items pinned to a channel.
 * Documentation: https://api.slack.com/methods/pins.list
 * @param options Request options.
 */
export declare function getPins<T = Pins.GetPins.Response.OK>(options: Pins.GetPins.Options.HandledApi): Promise<any>;
/**
 * Pins an item to a channel.
 * Documentation: https://api.slack.com/methods/pins.add
 * @param options Request options.
 */
export declare function addPin<T = Pins.AddPin.Response.OK>(options: Pins.AddPin.Options.HandledApi): Promise<Pins.AddPin.Response.OK>;
//# sourceMappingURL=pins.d.ts.map