import { removePin as removePinFn } from "../raw-api/pins";
import { executeRequest } from "../handled-api/common";
import { getPins as getPinsFn } from "../raw-api/pins";
import { addPin as addPinFn } from "../raw-api/pins";
/**
 * Un-pins an item from a channel.
 * Documentation: https://api.slack.com/methods/pins.remove
 * @param options Request options.
 */
export function removePin(options) {
    return executeRequest(() => removePinFn(options), options.errorStrategy);
}
/**
 * Lists items pinned to a channel.
 * Documentation: https://api.slack.com/methods/pins.list
 * @param options Request options.
 */
export function getPins(options) {
    return executeRequest(() => getPinsFn(options), options.errorStrategy);
}
/**
 * Pins an item to a channel.
 * Documentation: https://api.slack.com/methods/pins.add
 * @param options Request options.
 */
export function addPin(options) {
    return executeRequest(() => addPinFn(options), options.errorStrategy);
}
