import { Reaction } from "../types/reaction";
/**
 * Adds a reaction to an item.
 * Documentation: https://api.slack.com/methods/reactions.add
 * @param options Request options.
 */
export declare function addReaction<T = Reaction.AddReaction.Response.OK>(options: Reaction.AddReaction.Options.HandledApi): Promise<Reaction.AddReaction.Response.OK>;
/**
 * Gets reactions for an item.
 * Documentation: https://api.slack.com/methods/reactions.get
 * @param options Request options.
 */
export declare function getReaction<T = Reaction.GetReaction.Response.OK>(options: Reaction.GetReaction.Options.HandledApi): Promise<Reaction.GetReaction.Response.OK>;
/**
 * Lists reactions made by a user.
 * Documentation: https://api.slack.com/methods/reactions.list
 * @param options Request options.
 */
export declare function getReactions<T = Reaction.GetReactions.Response.OK>(options: Reaction.GetReactions.Options.HandledApi): Promise<Reaction.GetReactions.Response.OK>;
/**
 * Removes a reaction from an item.
 * Documentation: https://api.slack.com/methods/reactions.remove
 * @param options Request options.
 */
export declare function removeReaction<T = Reaction.RemoveReaction.Response.OK>(options: Reaction.RemoveReaction.Options.HandledApi): Promise<Reaction.RemoveReaction.Response.OK>;
//# sourceMappingURL=reaction.d.ts.map