import { Reminders } from "../types/reminders";
/**
 * Lists all reminders created by or for a given user.
 * Documentation: https://api.slack.com/methods/reminders.list
 * @param options Request options.
 */
export declare function getReminders<T = Reminders.GetReminders.Response.OK>(options: Reminders.GetReminders.Options.HandledApi): Promise<Reminders.GetReminders.Response.OK>;
/**
 * Gets information about a reminder.
 * Documentation: https://api.slack.com/methods/reminders.info
 * @param options Request options.
 */
export declare function getReminderInfo<T = Reminders.GetInfo.Response.OK>(options: Reminders.GetInfo.Options.HandledApi): Promise<Reminders.GetInfo.Response.OK>;
/**
 * Deletes a reminder.
 * Documentation: https://api.slack.com/methods/reminders.delete
 * @param options Request options.
 */
export declare function deleteReminder<T = Reminders.DeleteReminder.Response.OK>(options: Reminders.DeleteReminder.Options.HandledApi): Promise<Reminders.DeleteReminder.Response.OK>;
/**
 * Marks a reminder as complete.
 * Documentation: https://api.slack.com/methods/reminders.complete
 * @param options Request options.
 */
export declare function completeReminder<T = Reminders.CompleteReminder.Response.OK>(options: Reminders.CompleteReminder.Options.HandledApi): Promise<Reminders.CompleteReminder.Response.OK>;
/**
 * Creates a reminder.
 * Documentation: https://api.slack.com/methods/reminders.add
 * @param options Request options.
 */
export declare function addReminder<T = Reminders.AddReminder.Response.OK>(options: Reminders.AddReminder.Options.HandledApi): Promise<Reminders.AddReminder.Response.OK>;
//# sourceMappingURL=reminders.d.ts.map