import { Team } from "../types/team";
/**
 * Gets the access logs for the current team.
 * Documentation: https://api.slack.com/methods/team.accessLogs
 * @param options Request options.
 */
export declare function getTeamAccessLogs<T = Team.GetAccessLogs.Response.OK>(options: Team.GetAccessLogs.Options.HandledApi): Promise<Team.GetAccessLogs.Response.OK>;
/**
 * Gets billable users information for the current team.
 * Documentation: https://api.slack.com/methods/team.billableInfo
 * @param options Request options.
 */
export declare function getTeamBillableInfo<T = Team.GetBillableInfo.Response.OK>(options: Team.GetBillableInfo.Options.HandledApi): Promise<Team.GetBillableInfo.Response.OK>;
/**
 * Gets information about the current team.
 * Documentation: https://api.slack.com/methods/team.info
 * @param options Request options.
 */
export declare function getTeamInfo<T = Team.GetInfo.Response.OK>(options: Team.GetInfo.Options.HandledApi): Promise<Team.GetInfo.Response.OK>;
/**
 * Gets the integration logs for the current team.
 * Documentation: https://api.slack.com/methods/team.integrationLogs
 * @param options Request options.
 */
export declare function getTeamIntegrationLogs<T = Team.GetIntegrationLogs.Response.OK>(options: Team.GetIntegrationLogs.Options.HandledApi): Promise<Team.GetIntegrationLogs.Response.OK>;
//# sourceMappingURL=team.d.ts.map