import { setUserProfile as setUserProfileFn } from "../../raw-api/user/profile";
import { executeRequest } from "../../handled-api/common";
import { getUserProfile as getUserProfileFn } from "../../raw-api/user/profile";
/**
 * Set the profile information for a user.
 * Documentation: https://api.slack.com/methods/users.profile.set
 * @param options Request options.
 */
export function setUserProfile(options) {
    return executeRequest(() => setUserProfileFn(options), options.errorStrategy);
}
/**
 * Retrieves a user's profile information.
 * Documentation: https://api.slack.com/methods/users.profile.get
 * @param options Request options.
 */
export function getUserProfile(options) {
    return executeRequest(() => getUserProfileFn(options), options.errorStrategy);
}
