import { UserGroup } from "../types/userGroup";
/**
 * Create a User Group
 * Documentation: https://api.slack.com/methods/usergroups.create
 * @param options Request options.
 */
export declare function createUserGroup<T = UserGroup.CreateUserGroup.Response.OK>(options: UserGroup.CreateUserGroup.Options.HandledApi): Promise<UserGroup.CreateUserGroup.Response.OK>;
/**
 * Disable an existing User Group
 * Documentation: https://api.slack.com/methods/usergroups.disable
 * @param options Request options.
 */
export declare function disableUserGroup<T = UserGroup.DisableUserGroup.Response.OK>(options: UserGroup.DisableUserGroup.Options.HandledApi): Promise<UserGroup.DisableUserGroup.Response.OK>;
/**
 * Enable a User Group
 * Documentation: https://api.slack.com/methods/usergroups.enable
 * @param options Request options.
 */
export declare function enableUserGroup<T = UserGroup.EnableUserGroup.Response.OK>(options: UserGroup.EnableUserGroup.Options.HandledApi): Promise<UserGroup.EnableUserGroup.Response.OK>;
/**
 * List all User Groups for a team
 * Documentation: https://api.slack.com/methods/usergroups.list
 * @param options Request options.
 */
export declare function getUserGroups<T = UserGroup.GetUserGroups.Response.OK>(options: UserGroup.GetUserGroups.Options.HandledApi): Promise<UserGroup.GetUserGroups.Response.OK>;
/**
 * Update an existing User Group
 * Documentation: https://api.slack.com/methods/usergroups.update
 * @param options Request options.
 */
export declare function updateUserGroup<T = UserGroup.UpdateUserGroup.Response.OK>(options: UserGroup.UpdateUserGroup.Options.HandledApi): Promise<UserGroup.UpdateUserGroup.Response.OK>;
//# sourceMappingURL=userGroup.d.ts.map