import { getUsersInUserGroup as getUsersInUserGroupFn } from "../../raw-api/userGroup/user";
import { executeRequest } from "../../handled-api/common";
import { updateUsersInUserGroup as updateUsersInUserGroupFn } from "../../raw-api/userGroup/user";
/**
 * List all users in a User Group
 * Documentation: https://api.slack.com/methods/usergroups.users.list
 * @param options Request options.
 */
export function getUsersInUserGroup(options) {
    return executeRequest(() => getUsersInUserGroupFn(options), options.errorStrategy);
}
/**
 * Update the list of users for a User Group
 * Documentation: https://api.slack.com/methods/usergroups.users.update
 * @param options Request options.
 */
export function updateUsersInUserGroup(options) {
    return executeRequest(() => updateUsersInUserGroupFn(options), options.errorStrategy);
}
