import { View } from "../types/view";
/**
 * Update an existing view.
 * Documentation: https://api.slack.com/methods/views.update
 * @param options Request options.
 */
export declare function updateView<T = View.UpdateView.Response.OK>(options: View.UpdateView.Options.HandledApi): Promise<View.UpdateView.Response.OK>;
/**
 * Push a view onto the stack of a root view.
 * Documentation: https://api.slack.com/methods/views.push
 * @param options Request options.
 */
export declare function pushView<T = View.PushView.Response.OK>(options: View.PushView.Options.HandledApi): Promise<View.PushView.Response.OK>;
/**
 * Publish a static view for a User.
 * Documentation: https://api.slack.com/methods/views.publish
 * @param options Request options.
 */
export declare function publishView<T = View.PublishView.Response.OK>(options: View.PublishView.Options.HandledApi): Promise<View.PublishView.Response.OK>;
/**
 * Open a view for a user.
 * Documentation: https://api.slack.com/methods/views.open
 * @param options Request options.
 */
export declare function openView<T = View.OpenView.Response.OK>(options: View.OpenView.Options.HandledApi): Promise<View.OpenView.Response.OK>;
//# sourceMappingURL=view.d.ts.map