import { Admin } from "../../types/admin";
/**
 * Set an existing guest user, admin user, or owner to be a regular user.
 * Documentation: https://api.slack.com/methods/admin.users.setRegular
 * @param options Request options.
 */
export declare function adminSetRegularUser(options: Admin.Users.SetRegular.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.SetRegular.Response.OK | Admin.Users.SetRegular.Response.Error>>;
/**
 * Set an existing guest, regular user, or admin user to be a workspace owner.
 * Documentation: https://api.slack.com/methods/admin.users.setOwner
 * @param options Request options.
 */
export declare function adminSetOwnerUser(options: Admin.Users.SetOwner.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.SetOwner.Response.OK | Admin.Users.SetOwner.Response.Error>>;
/**
 * Set an expiration for a guest user
 * Documentation: https://api.slack.com/methods/admin.users.setExpiration
 * @param options Request options.
 */
export declare function adminSetUserExpiration(options: Admin.Users.SetExpiration.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.SetExpiration.Response.OK | Admin.Users.SetExpiration.Response.Error>>;
/**
 * Set an existing guest, regular user, or owner to be an admin user.
 * Documentation: https://api.slack.com/methods/admin.users.setAdmin
 * @param options Request options.
 */
export declare function adminSetAdminUser(options: Admin.Users.SetAdmin.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.SetAdmin.Response.OK | Admin.Users.SetAdmin.Response.Error>>;
/**
 * Remove a user from a workspace.
 * Documentation: https://api.slack.com/methods/admin.users.remove
 * @param options Request options.
 */
export declare function adminRemoveUser(options: Admin.Users.RemoveUser.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.RemoveUser.Response.OK | Admin.Users.RemoveUser.Response.Error>>;
/**
 * List users on a workspace
 * Documentation: https://api.slack.com/methods/admin.users.list
 * @param options Request options.
 */
export declare function adminGetUsers(options: Admin.Users.GetUsers.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.GetUsers.Response.OK | Admin.Users.GetUsers.Response.Error>>;
/**
 * Invite a user to a workspace.
 * Documentation: https://api.slack.com/methods/admin.users.invite
 * @param options Request options.
 */
export declare function adminInviteUser(options: Admin.Users.InviteUser.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.InviteUser.Response.OK | Admin.Users.InviteUser.Response.Error>>;
/**
 * Add an Enterprise user to a workspace.
 * Documentation: https://api.slack.com/methods/admin.users.assign
 * @param options Request options.
 */
export declare function adminAssignUser(options: Admin.Users.AssignUser.Options.RawApi): Promise<import("@avst-api/commons").Response<Admin.Users.AssignUser.Response.OK | Admin.Users.AssignUser.Response.Error>>;
//# sourceMappingURL=users.d.ts.map