import { httpGet } from "../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Gets information about a bot user.
 * Documentation: https://api.slack.com/methods/bots.info
 * @param options Request options.
 */
export function getBotInfo(options) {
    const { connectionId: instanceId, headers, bot, preferredAuth, userId } = options;
    const queryParams = { bot };
    const customParams = { preferredAuth, userId };
    return httpGet(instanceId, constructUrl(`/api/bots.info`, queryParams), headers, customParams);
}
