import { Chat } from "../types/chat";
/**
 * Deletes a message.
 * Documentation: https://api.slack.com/methods/chat.delete
 * @param options Request options.
 */
export declare function deleteChatMessage(options: Chat.DeleteMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.DeleteMessage.Response.OK | Chat.DeleteMessage.Response.Error>>;
/**
 * Deletes a pending scheduled message from the queue.
 * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
 * @param options Request options.
 */
export declare function deleteChatScheduledMessage(options: Chat.DeleteScheduledMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.DeleteScheduledMessage.Response.OK | Chat.DeleteScheduledMessage.Response.Error>>;
/**
 * Retrieve a permalink URL for a specific extant message
 * Documentation: https://api.slack.com/methods/chat.getPermalink
 * @param options Request options.
 */
export declare function getChatPermalink(options: Chat.GetPermalink.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.GetPermalink.Response.OK | Chat.GetPermalink.Response.Error>>;
/**
 * Share a me message into a channel.
 * Documentation: https://api.slack.com/methods/chat.meMessage
 * @param options Request options.
 */
export declare function postChatMeMessage(options: Chat.PostMeMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.PostMeMessage.Response.OK | Chat.PostMeMessage.Response.Error>>;
/**
 * Sends an ephemeral message to a user in a channel.
 * Documentation: https://api.slack.com/methods/chat.postEphemeral
 * @param options Request options.
 */
export declare function postChatEphemeralMessage(options: Chat.PostEphemeralMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.PostEphemeralMessage.Response.OK | Chat.PostEphemeralMessage.Response.Error>>;
/**
 * Sends a message to a channel.
 * Documentation: https://api.slack.com/methods/chat.postMessage
 * @param options Request options.
 */
export declare function postChatMessage(options: Chat.PostMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.PostMessage.Response.OK | Chat.PostMessage.Response.Error>>;
/**
 * Schedules a message to be sent to a channel.
 * Documentation: https://api.slack.com/methods/chat.scheduleMessage
 * @param options Request options.
 */
export declare function scheduleChatMessage(options: Chat.ScheduleMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.ScheduleMessage.Response.OK | Chat.ScheduleMessage.Response.Error>>;
/**
 * Provide custom unfurl behavior for user-posted URLs
 * Documentation: https://api.slack.com/methods/chat.unfurl
 * @param options Request options.
 */
export declare function unfurlChatMessage(options: Chat.UnfurlMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.UnfurlMessage.Response.OK | Chat.UnfurlMessage.Response.Error>>;
/**
 * Updates a message.
 * Documentation: https://api.slack.com/methods/chat.update
 * @param options Request options.
 */
export declare function updateChatMessage(options: Chat.UpdateMessage.Options.RawApi): Promise<import("@avst-api/commons").Response<Chat.UpdateMessage.Response.OK | Chat.UpdateMessage.Response.Error>>;
//# sourceMappingURL=chat.d.ts.map