import { httpGet } from "../../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Returns a list of scheduled messages.
 * Documentation: https://api.slack.com/methods/chat.scheduledMessages.list
 * @param options Request options.
 */
export function getChatScheduledMessages(options) {
    const { connectionId: instanceId, headers, channel, latest, oldest, limit, cursor, preferredAuth, userId } = options;
    const queryParams = { channel, latest, oldest, limit, cursor };
    const customParams = { preferredAuth, userId };
    return httpGet(instanceId, constructUrl(`/api/chat.scheduledMessages.list`, queryParams), headers, customParams);
}
