import { Dnd } from "../types/dnd";
/**
 * Ends the current user's Do Not Disturb session immediately.
 * Documentation: https://api.slack.com/methods/dnd.endDnd
 * @param options Request options.
 */
export declare function endDnd(options: Dnd.EndDnd.Options.RawApi): Promise<import("@avst-api/commons").Response<Dnd.EndDnd.Response.OK | Dnd.EndDnd.Response.Error>>;
/**
 * Ends the current user's snooze mode immediately.
 * Documentation: https://api.slack.com/methods/dnd.endSnooze
 * @param options Request options.
 */
export declare function endDndSnooze(options: Dnd.EndSnooze.Options.RawApi): Promise<import("@avst-api/commons").Response<Dnd.EndSnooze.Response.OK | Dnd.EndSnooze.Response.Error>>;
/**
 * Retrieves a user's current Do Not Disturb status.
 * Documentation: https://api.slack.com/methods/dnd.info
 * @param options Request options.
 */
export declare function getDndInfo(options: Dnd.GetInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<Dnd.GetInfo.Response.OK | Dnd.GetInfo.Response.Error>>;
/**
 * Turns on Do Not Disturb mode for the current user, or changes its duration.
 * Documentation: https://api.slack.com/methods/dnd.setSnooze
 * @param options Request options.
 */
export declare function setDndSnooze(options: Dnd.SetSnooze.Options.RawApi): Promise<import("@avst-api/commons").Response<Dnd.SetSnooze.Response.OK | Dnd.SetSnooze.Response.Error>>;
/**
 * Retrieves the Do Not Disturb status for up to 50 users on a team.
 * Documentation: https://api.slack.com/methods/dnd.teamInfo
 * @param options Request options.
 */
export declare function getDndTeamInfo(options: Dnd.GetTeamInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<Dnd.GetTeamInfo.Response.OK | Dnd.GetTeamInfo.Response.Error>>;
//# sourceMappingURL=dnd.d.ts.map