import { File } from "../types/file";
/**
 * Deletes a file.
 * Documentation: https://api.slack.com/methods/files.delete
 * @param options Request options.
 */
export declare function deleteFile(options: File.DeleteFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.DeleteFile.Response.OK | File.DeleteFile.Response.Error>>;
/**
 * Gets information about a file.
 * Documentation: https://api.slack.com/methods/files.info
 * @param options Request options.
 */
export declare function getFileInfo(options: File.GetInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<File.GetInfo.Response.OK | File.GetInfo.Response.Error>>;
/**
 * List for a team, in a channel, or from a user with applied filters.
 * Documentation: https://api.slack.com/methods/files.list
 * @param options Request options.
 */
export declare function getFiles(options: File.GetFiles.Options.RawApi): Promise<import("@avst-api/commons").Response<File.GetFiles.Response.OK | File.GetFiles.Response.Error>>;
/**
 * Uploads or creates a file.
 * Documentation: https://api.slack.com/methods/files.upload
 * @param options Request options.
 */
export declare function uploadFile(options: File.UploadFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.UploadFile.Response.OK | File.UploadFile.Response.Error>>;
//# sourceMappingURL=file.d.ts.map