import { httpPost } from "../../raw-api/common";
/**
 * Deletes an existing comment on a file.
 * Documentation: https://api.slack.com/methods/files.comments.delete
 * @param options Request options.
 */
export function deleteFileComment(options) {
    const { connectionId: instanceId, headers, body, preferredAuth, userId } = options;
    const customParams = { preferredAuth, userId };
    return httpPost(instanceId, `/api/files.comments.delete`, body, headers, customParams);
}
