import { httpPost } from "../../raw-api/common";
/**
 * Revokes public/external sharing access for a file
 * Documentation: https://api.slack.com/methods/files.revokePublicURL
 * @param options Request options.
 */
export function revokeFilePublicUrl(options) {
    const { connectionId: instanceId, headers, body, userId } = options;
    const customParams = { userId };
    return httpPost(instanceId, `/api/files.revokePublicURL`, body, headers, customParams);
}
/**
 * Enables a file for public/external sharing.
 * Documentation: https://api.slack.com/methods/files.sharedPublicURL
 * @param options Request options.
 */
export function createFilePublicUrl(options) {
    const { connectionId: instanceId, headers, body, userId } = options;
    const customParams = { userId };
    return httpPost(instanceId, `/api/files.sharedPublicURL`, body, headers, customParams);
}
