import { File } from "../../types/file";
/**
 * Adds a file from a remote service
 * Documentation: https://api.slack.com/methods/files.remote.add
 * @param options Request options.
 */
export declare function addRemoteFile(options: File.Remote.AddFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.AddFile.Response.OK | File.Remote.AddFile.Response.Error>>;
/**
 * Retrieve information about a remote file added to Slack
 * Documentation: https://api.slack.com/methods/files.remote.info
 * @param options Request options.
 */
export declare function getRemoteFileInfo(options: File.Remote.GetInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.GetInfo.Response.OK | File.Remote.GetInfo.Response.Error>>;
/**
 * Retrieve information about a remote file added to Slack
 * Documentation: https://api.slack.com/methods/files.remote.list
 * @param options Request options.
 */
export declare function getRemoteFiles(options: File.Remote.GetFiles.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.GetFiles.Response.OK | File.Remote.GetFiles.Response.Error>>;
/**
 * Remove a remote file.
 * Documentation: https://api.slack.com/methods/files.remote.remove
 * @param options Request options.
 */
export declare function removeRemoteFile(options: File.Remote.RemoveFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.RemoveFile.Response.OK | File.Remote.RemoveFile.Response.Error>>;
/**
 * Share a remote file into a channel.
 * Documentation: https://api.slack.com/methods/files.remote.share
 * @param options Request options.
 */
export declare function shareRemoteFile(options: File.Remote.ShareFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.ShareFile.Response.OK | File.Remote.ShareFile.Response.Error>>;
/**
 * Updates an existing remote file.
 * Documentation: https://api.slack.com/methods/files.remote.update
 * @param options Request options.
 */
export declare function updateRemoteFile(options: File.Remote.UpdateFile.Options.RawApi): Promise<import("@avst-api/commons").Response<File.Remote.UpdateFile.Response.OK | File.Remote.UpdateFile.Response.Error>>;
//# sourceMappingURL=remote.d.ts.map