import { Reaction } from "../types/reaction";
/**
 * Adds a reaction to an item.
 * Documentation: https://api.slack.com/methods/reactions.add
 * @param options Request options.
 */
export declare function addReaction(options: Reaction.AddReaction.Options.RawApi): Promise<import("@avst-api/commons").Response<Reaction.AddReaction.Response.OK | Reaction.AddReaction.Response.Error>>;
/**
 * Gets reactions for an item.
 * Documentation: https://api.slack.com/methods/reactions.get
 * @param options Request options.
 */
export declare function getReaction(options: Reaction.GetReaction.Options.RawApi): Promise<import("@avst-api/commons").Response<{
    ok: true;
    type: "file";
    file: import("../definitions/objs_file").objs_file;
} | {
    ok: true;
    type: "message";
    message: import("../definitions/objs_message").objs_message;
    channel: string;
} | {
    ok: true;
    comment: import("../definitions/objs_comment").objs_comment;
    file: import("../definitions/objs_file").objs_file;
    type: "file_comment";
} | Reaction.GetReaction.Response.Error>>;
/**
 * Lists reactions made by a user.
 * Documentation: https://api.slack.com/methods/reactions.list
 * @param options Request options.
 */
export declare function getReactions(options: Reaction.GetReactions.Options.RawApi): Promise<import("@avst-api/commons").Response<Reaction.GetReactions.Response.OK | Reaction.GetReactions.Response.Error>>;
/**
 * Removes a reaction from an item.
 * Documentation: https://api.slack.com/methods/reactions.remove
 * @param options Request options.
 */
export declare function removeReaction(options: Reaction.RemoveReaction.Options.RawApi): Promise<import("@avst-api/commons").Response<Reaction.RemoveReaction.Response.OK | Reaction.RemoveReaction.Response.Error>>;
//# sourceMappingURL=reaction.d.ts.map