import { Reminders } from "../types/reminders";
/**
 * Lists all reminders created by or for a given user.
 * Documentation: https://api.slack.com/methods/reminders.list
 * @param options Request options.
 */
export declare function getReminders(options: Reminders.GetReminders.Options.RawApi): Promise<import("@avst-api/commons").Response<Reminders.GetReminders.Response.OK | Reminders.GetReminders.Response.Error>>;
/**
 * Gets information about a reminder.
 * Documentation: https://api.slack.com/methods/reminders.info
 * @param options Request options.
 */
export declare function getReminderInfo(options: Reminders.GetInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<Reminders.GetInfo.Response.OK | Reminders.GetInfo.Response.Error>>;
/**
 * Deletes a reminder.
 * Documentation: https://api.slack.com/methods/reminders.delete
 * @param options Request options.
 */
export declare function deleteReminder(options: Reminders.DeleteReminder.Options.RawApi): Promise<import("@avst-api/commons").Response<Reminders.DeleteReminder.Response.OK | Reminders.DeleteReminder.Response.Error>>;
/**
 * Marks a reminder as complete.
 * Documentation: https://api.slack.com/methods/reminders.complete
 * @param options Request options.
 */
export declare function completeReminder(options: Reminders.CompleteReminder.Options.RawApi): Promise<import("@avst-api/commons").Response<Reminders.CompleteReminder.Response.OK | Reminders.CompleteReminder.Response.Error>>;
/**
 * Creates a reminder.
 * Documentation: https://api.slack.com/methods/reminders.add
 * @param options Request options.
 */
export declare function addReminder(options: Reminders.AddReminder.Options.RawApi): Promise<import("@avst-api/commons").Response<Reminders.AddReminder.Response.OK | Reminders.AddReminder.Response.Error>>;
//# sourceMappingURL=reminders.d.ts.map