import { httpPost } from "../raw-api/common";
/**
 * Send message back to Slack using the response_url in the event payload.
 * Documentation: https://api.slack.com/interactivity/handling#message_responses
 * @param options Request options.
 */
export function postReplyMessage(options) {
    const { connectionId: instanceId, headers, body, responseUrl } = options;
    const customParams = { responseUrl };
    return httpPost(instanceId, "/api/reply", body, headers, customParams);
}
