import { httpGet } from "../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Searches for messages matching a query.
 * Documentation: https://api.slack.com/methods/search.messages
 * @param options Request options.
 */
export function searchMessages(options) {
    const { connectionId: instanceId, headers, sort_dir, query, sort, count, highlight, page, userId } = options;
    const queryParams = { sort_dir, query, sort, count, highlight, page };
    const customParams = { userId };
    return httpGet(instanceId, constructUrl(`/api/search.messages`, queryParams), headers, customParams);
}
