import { Team } from "../types/team";
/**
 * Gets the access logs for the current team.
 * Documentation: https://api.slack.com/methods/team.accessLogs
 * @param options Request options.
 */
export declare function getTeamAccessLogs(options: Team.GetAccessLogs.Options.RawApi): Promise<import("@avst-api/commons").Response<Team.GetAccessLogs.Response.OK | Team.GetAccessLogs.Response.Error>>;
/**
 * Gets billable users information for the current team.
 * Documentation: https://api.slack.com/methods/team.billableInfo
 * @param options Request options.
 */
export declare function getTeamBillableInfo(options: Team.GetBillableInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<Team.GetBillableInfo.Response.OK | Team.GetBillableInfo.Response.Error>>;
/**
 * Gets information about the current team.
 * Documentation: https://api.slack.com/methods/team.info
 * @param options Request options.
 */
export declare function getTeamInfo(options: Team.GetInfo.Options.RawApi): Promise<import("@avst-api/commons").Response<Team.GetInfo.Response.OK | Team.GetInfo.Response.Error>>;
/**
 * Gets the integration logs for the current team.
 * Documentation: https://api.slack.com/methods/team.integrationLogs
 * @param options Request options.
 */
export declare function getTeamIntegrationLogs(options: Team.GetIntegrationLogs.Options.RawApi): Promise<import("@avst-api/commons").Response<Team.GetIntegrationLogs.Response.OK | Team.GetIntegrationLogs.Response.Error>>;
//# sourceMappingURL=team.d.ts.map