import { httpGet } from "../../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Retrieve a team's profile.
 * Documentation: https://api.slack.com/methods/team.profile.get
 * @param options Request options.
 */
export function getTeamProfile(options) {
    const { connectionId: instanceId, headers, visibility, preferredAuth, userId } = options;
    const queryParams = { visibility };
    const customParams = { preferredAuth, userId };
    return httpGet(instanceId, constructUrl(`/api/team.profile.get`, queryParams), headers, customParams);
}
