import { httpPost } from "../../raw-api/common";
import { httpGet } from "../../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Set the profile information for a user.
 * Documentation: https://api.slack.com/methods/users.profile.set
 * @param options Request options.
 */
export function setUserProfile(options) {
    const { connectionId: instanceId, headers, body, userId } = options;
    const customParams = { userId };
    return httpPost(instanceId, `/api/users.profile.set`, body, headers, customParams);
}
/**
 * Retrieves a user's profile information.
 * Documentation: https://api.slack.com/methods/users.profile.get
 * @param options Request options.
 */
export function getUserProfile(options) {
    const { connectionId: instanceId, headers, include_labels, user, preferredAuth, userId } = options;
    const queryParams = { include_labels, user };
    const customParams = { preferredAuth, userId };
    return httpGet(instanceId, constructUrl(`/api/users.profile.get`, queryParams), headers, customParams);
}
