import { UserGroup } from "../types/userGroup";
/**
 * Create a User Group
 * Documentation: https://api.slack.com/methods/usergroups.create
 * @param options Request options.
 */
export declare function createUserGroup(options: UserGroup.CreateUserGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<UserGroup.CreateUserGroup.Response.OK | UserGroup.CreateUserGroup.Response.Error>>;
/**
 * Disable an existing User Group
 * Documentation: https://api.slack.com/methods/usergroups.disable
 * @param options Request options.
 */
export declare function disableUserGroup(options: UserGroup.DisableUserGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<UserGroup.DisableUserGroup.Response.OK | UserGroup.DisableUserGroup.Response.Error>>;
/**
 * Enable a User Group
 * Documentation: https://api.slack.com/methods/usergroups.enable
 * @param options Request options.
 */
export declare function enableUserGroup(options: UserGroup.EnableUserGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<UserGroup.EnableUserGroup.Response.OK | UserGroup.EnableUserGroup.Response.Error>>;
/**
 * List all User Groups for a team
 * Documentation: https://api.slack.com/methods/usergroups.list
 * @param options Request options.
 */
export declare function getUserGroups(options: UserGroup.GetUserGroups.Options.RawApi): Promise<import("@avst-api/commons").Response<UserGroup.GetUserGroups.Response.OK | UserGroup.GetUserGroups.Response.Error>>;
/**
 * Update an existing User Group
 * Documentation: https://api.slack.com/methods/usergroups.update
 * @param options Request options.
 */
export declare function updateUserGroup(options: UserGroup.UpdateUserGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<UserGroup.UpdateUserGroup.Response.OK | UserGroup.UpdateUserGroup.Response.Error>>;
//# sourceMappingURL=userGroup.d.ts.map