import { httpGet } from "../../raw-api/common";
import { constructUrl } from "@avst-api/commons";
import { httpPost } from "../../raw-api/common";
/**
 * List all users in a User Group
 * Documentation: https://api.slack.com/methods/usergroups.users.list
 * @param options Request options.
 */
export function getUsersInUserGroup(options) {
    const { connectionId: instanceId, headers, include_disabled, usergroup, preferredAuth, userId } = options;
    const queryParams = { include_disabled, usergroup };
    const customParams = { preferredAuth, userId };
    return httpGet(instanceId, constructUrl(`/api/usergroups.users.list`, queryParams), headers, customParams);
}
/**
 * Update the list of users for a User Group
 * Documentation: https://api.slack.com/methods/usergroups.users.update
 * @param options Request options.
 */
export function updateUsersInUserGroup(options) {
    const { connectionId: instanceId, headers, body, preferredAuth, userId } = options;
    const customParams = { preferredAuth, userId };
    return httpPost(instanceId, `/api/usergroups.users.update`, body, headers, customParams);
}
