import { View } from "../types/view";
/**
 * Update an existing view.
 * Documentation: https://api.slack.com/methods/views.update
 * @param options Request options.
 */
export declare function updateView(options: View.UpdateView.Options.RawApi): Promise<import("@avst-api/commons").Response<View.UpdateView.Response.OK | View.UpdateView.Response.Error>>;
/**
 * Push a view onto the stack of a root view.
 * Documentation: https://api.slack.com/methods/views.push
 * @param options Request options.
 */
export declare function pushView(options: View.PushView.Options.RawApi): Promise<import("@avst-api/commons").Response<View.PushView.Response.OK | View.PushView.Response.Error>>;
/**
 * Publish a static view for a User.
 * Documentation: https://api.slack.com/methods/views.publish
 * @param options Request options.
 */
export declare function publishView(options: View.PublishView.Options.RawApi): Promise<import("@avst-api/commons").Response<View.PublishView.Response.OK | View.PublishView.Response.Error>>;
/**
 * Open a view for a user.
 * Documentation: https://api.slack.com/methods/views.open
 * @param options Request options.
 */
export declare function openView(options: View.OpenView.Options.RawApi): Promise<import("@avst-api/commons").Response<View.OpenView.Response.OK | View.OpenView.Response.Error>>;
//# sourceMappingURL=view.d.ts.map