# 0.5.5

- Added support to the following Admin.Users methods:

    * [Add an Enterprise user to a workspace](https://api.slack.com/methods/admin.users.assign) that can be used as `Admin.Users.assignUser` or `All.adminAssignUser`.
    * [Invite a user to a workspace](https://api.slack.com/methods/admin.users.invite) that can be used as `Admin.Users.inviteUser` or `All.adminInviteUser`.
    * [List users on a workspace](https://api.slack.com/methods/admin.users.list) that can be used as `Admin.Users.getUsers` or `All.adminGetUsers`.
    * [Remove a user from a workspace](https://api.slack.com/methods/admin.users.remove) that can be used as `Admin.Users.removeUser` or `All.adminRemoveUser`.
    * [Set an existing guest, regular user, or owner to be an admin user](https://api.slack.com/methods/admin.users.setAdmin) that can be used as `Admin.Users.setAdmin` or `All.adminSetAdminUser`.
    * [Set an expiration for a guest user](https://api.slack.com/methods/admin.users.setExpiration) that can be used as `Admin.Users.setExpiration` or `All.adminSetUserExpiration`.
    * [Set an existing guest, regular user, or admin user to be a workspace owner](https://api.slack.com/methods/admin.users.setOwner) that can be used as `Admin.Users.setOwner` or `All.adminSetOwnerUser`.
    * [Set an existing guest user, admin user, or owner to be a regular user](https://api.slack.com/methods/admin.users.setRegular) that can be used as `Admin.Users.setRegular` or `All.adminSetRegularUser`.

# 0.4.0

- Added support to the following View methods:

    * [Open a view for a user](https://api.slack.com/methods/views.open) that can be used as `View.openView` or `All.openView`.
    * [Publish a static view for a User](https://api.slack.com/methods/views.publish) that can be used as `View.publishView` or `All.publishView`.
    * [Push a view onto the stack of a root view](https://api.slack.com/methods/views.push) that can be used as `View.pushView` or `All.pushView`.
    * [Update an existing view](https://api.slack.com/methods/views.update) that can be used as `View.updateView` or `All.updateView`.

# 0.3.0

- Added support to the following Pin methods:

    * [Pins an item to a channel](https://api.slack.com/methods/pins.add) that can be used as `Pins.addPin` or `All.addPin`.
    * [Lists items pinned to a channel](https://api.slack.com/methods/pins.list) that can be used as `Pins.getPins` or `All.getPins`.
    * [Un-pins an item from a channel](https://api.slack.com/methods/pins.remove) that can be used as `Pins.removePin` or `All.removePin`.

- Added support to the following Reminders methods:

    * [Creates a reminder](https://api.slack.com/methods/reminders.add) that can be used as `Reminders.addReminder` or `All.addReminder`.
    * [Marks a reminder as complete](https://api.slack.com/methods/reminders.complete) that can be used as `Reminders.completeReminder` or `All.completeReminder`.
    * [Deletes a reminder](https://api.slack.com/methods/reminders.delete) that can be used as `Reminders.deleteReminder` or `All.deleteReminder`.
    * [Gets information about a reminder](https://api.slack.com/methods/reminders.info) that can be used as `Reminders.getInfo` or `All.getReminderInfo`.
    * [Lists all reminders created by or for a given user](https://api.slack.com/methods/reminders.list) that can be used as `Reminders.getReminders` or `All.getReminders`.

- Added support to the following User methods:

    * [List conversations the calling user may access](https://api.slack.com/methods/users.conversations) that can be used as `User.getConversations` or `All.getUserConversations`.
    * [Get a user's identity](https://api.slack.com/methods/users.identity) that can be used as `User.getIdentity` or `All.getUserIdentity`.
    * [Gets information about a user](https://api.slack.com/methods/users.info) that can be used as `User.getInfo` or `All.getUserInfo`.
    * [Lists all users in a Slack team](https://api.slack.com/methods/users.list) that can be used as `User.getUsers` or `All.getUsers`.
    * [Find a user with an email address](https://api.slack.com/methods/users.lookupByEmail) that can be used as `User.getUserByEmail` or `All.getUserByEmail`.

- Added support to the following User.Profile methods:
    * [Retrieve a user's profile information, including their custom status](https://api.slack.com/methods/users.profile.get) that can be used as `User.Profile.getProfile` or `All.getUserProfile`.
    * [Set a user's profile information, including custom status](https://api.slack.com/methods/users.profile.set) that can be used as `User.Profile.setProfile` or `All.setUserProfile`.

# 0.2.9

- Changed `objs_conversation` type correction.

# 0.2.8

- Fixed `setGlobalErrorStrategy` method.

# 0.2.7

- Removed `io-ts` and `fp-ts` packages.

# 0.2.6

- Added `setGlobalErrorStrategy` method to allow another way to set the global error strategy.
- Renamed `connection` property to `connectionId` in `raw-api` and `handled-api` layers.
- Removed `AnyError` and `ValidationError` from `TypedPromise` return signature.

# 0.2.5

- Renamed abstraction layers:
    * From <b>http-api</b> to <b>raw-api</b>
    * From <b>managed-api</b> to <b>handled-api</b>