import { defs_ok_false } from "../definitions/defs_ok_false";
import { defs_ok_true } from "../definitions/defs_ok_true";
import { ReplyMessageOption } from "../common";
import { HeadersOption, ConnectionOption } from "@avst-api/commons";
import { AssistedErrorStrategyOption } from "../handled-api/common";
import { ErrorStrategyOption } from "../handled-api/common";
export declare namespace Reply {
    namespace PostMessage {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = {
            /**
             * Text to send back.
             */
            text?: string;
            response_type?: "ephemeral" | "in_channel" | undefined;
            /**
             * Whether to replace original message.
             */
            replace_original?: boolean;
            /**
             * Whether to delete original message.
             */
            delete_original?: boolean;
            channel?: string;
            token?: string;
            code?: string;
            state?: string;
            redirect_uri?: string;
            client_id?: string;
            client_secret?: string;
            unfurl_links?: boolean;
            attachments?: any[];
            blocks?: any[];
            as_user?: boolean;
            count?: number;
            [keyname: string]: any;
        };
        namespace Response {
            type OK = undefined | {
                ok: defs_ok_true;
                data?: string;
            };
            type Error = {
                error?: string;
                ok: defs_ok_false;
                warning?: string;
                [keyname: string]: any;
            };
        }
        namespace Options {
            interface Base extends ReplyMessageOption {
                body: Reply.PostMessage.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
}
//# sourceMappingURL=reply.d.ts.map